Bug 197947 - [patch] editors/libreoffice : fix build on gcc-5
Summary: [patch] editors/libreoffice : fix build on gcc-5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-23 10:21 UTC by John Marino
Modified: 2015-03-22 16:44 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
patch to fix building on gcc-5 (1.04 KB, patch)
2015-02-23 10:21 UTC, John Marino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino freebsd_committer 2015-02-23 10:21:15 UTC
Created attachment 153370 [details]
patch to fix building on gcc-5

As is, libreoffice fails during linking on gcc-5.  The attached patch came from upstream (branch 4.4) and allows gcc-5 to build Libreoffice 4.3.6.

https://www.mail-archive.com/libreoffice@lists.freedesktop.org/msg137590.html
(12 Feb 2015)
Comment 1 Bugzilla Automation freebsd_committer 2015-02-23 10:21:15 UTC
Auto-assigned to maintainer office@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2015-03-22 16:44:04 UTC
A commit references this bug:

Author: marino
Date: Sun Mar 22 16:43:57 UTC 2015
New revision: 381936
URL: https://svnweb.freebsd.org/changeset/ports/381936

Log:
  editors/libreoffice: Fix build on gcc-5

  PR:		197947
  Submitted by:	marino
  Approved by:	maintainer timeout

Changes:
  head/editors/libreoffice/files/patch-include_unotools_streamwrap.hxx